function flagsRefined = getExpRefinedGlaciers(xx,yy)
disp('Launching getExpRefinedGlaciers');
DirPoly = './Inputs/glaciersExp/';
ls_glaciers = {'Humboldt','Petermann','N79','Zachariae','Kangerlussuaq',...
    'Helheim','Jakobshavn','Store','Rink','Upernavik','Heilprin'};
% Get all vertices
fullverticesX = cell(1,numel(ls_glaciers));
fullverticesY = cell(1,numel(ls_glaciers));
for jj=1:numel(ls_glaciers)
    data = expread([DirPoly,ls_glaciers{jj},'.exp']);
    fullverticesX{jj} = data.x(1:end); 
    fullverticesY{jj} = data.y(1:end); 
end
% Spot nodes in polygons  
flags = zeros(numel(xx),1);
for ii=1:numel(xx) 
    for jj=1:numel(ls_glaciers)
        if(inpolygon(xx(ii),yy(ii),fullverticesX{jj},fullverticesY{jj}))
            flags(ii) = 1;
        end
    end
end
flagsRefined = find(flags);
disp('End of getExpRefinedGlaciers');
end
        

