function indsSepRefined = getExpSepRefinedGlaciers(xx,yy)
disp('Launching getExpSepRefinedGlaciers');
DirPoly = './Inputs/glaciersExp/';
ls_glaciers = {'Humboldt','Petermann','N79','Zachariae','DaugaardJensen','Kangerlussuaq',...
    'Helheim','KogeBugt','Jakobshavn','Store','Rink','Upernavik','Heilprin'};
% Get all vertices
fullverticesX = cell(1,numel(ls_glaciers));
fullverticesY = cell(1,numel(ls_glaciers));
for jj=1:numel(ls_glaciers)
    data = expread([DirPoly,ls_glaciers{jj},'.exp']);
    fullverticesX{jj} = data.x(1:end); 
    fullverticesY{jj} = data.y(1:end); 
end
% Initialize arrays of glaciers 
indsSepRefined = cell(1,numel(ls_glaciers));
% Spot nodes in polygons  
for ii=1:numel(xx) 
    for jj=1:numel(ls_glaciers)
        if(inpolygon(xx(ii),yy(ii),fullverticesX{jj},fullverticesY{jj}))
            indsSepRefined{jj}(end+1) = ii;
        end
    end
end
disp('End of getExpSepRefinedGlaciers');
end
        

